GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
gpr_slice Struct Reference

`#include <slice.h>`

## Data Fields
struct gpr_slice_refcount * | refcount
union {
struct {
gpr_uint8 * bytes
size_t length
} refcounted
struct {
gpr_uint8 length
gpr_uint8 bytes [(sizeof(size_t)+sizeof(gpr_uint8 *)-1)]
} inlined
} | data

## Field Documentation

gpr_uint8* gpr_slice::bytes

gpr_uint8 gpr_slice::bytes[(sizeof(size_t)+sizeof(gpr_uint8 *)-1)]

union { ... } gpr_slice::data

struct { ... } gpr_slice::inlined

size_t gpr_slice::length

gpr_uint8 gpr_slice::length

struct gpr_slice_refcount* gpr_slice::refcount

struct { ... } gpr_slice::refcounted

The documentation for this struct was generated from the following file:

- include/grpc/support/slice.h